- Rename patches to match git repository: * old: 0013-Correct-paths-for-openSUSE.patch new: 0011-Correct-paths-for-openSUSE.patch * old: 0014-Check-for-plymouth-lib-directories.patch new: 0012-Check-for-plymouth-lib-directories.patch * old: dracut_do_not_update_booloader_if_no_kernel_is_found.patch new: 0013-mkinitrd-suse-do-not-update-bootloader-if-no-kernel-.patch * old: suse_grub_manpage.patch new: 0014-Update-dracut-manpage-for-GRUB-Legacy-and-GRUB2.patch * old: replace_dhclient_with_wickedd_dhcp_supplicants.patch new: 0015-40network-replace-dhclient-with-wickedd-dhcp-supplic.patch * old: 0015-add-new-s390x-specific-rule-files.patch new: 0016-Add-new-s390x-specific-rule-files.patch * old: change_write_ifcfg_to_suse.patch new: 0017-45ifcfg-use-distro-specific-scripts.patch * old: dracut-fix-whitespace-add-drivers_call.patch new: 0018-mkinitrd-suse-Fix-whitespaces-when-adding-drivers.patch * old: wait_for_network_race_condition_fix.patch new: 0019-40network-Fix-race-condition-when-wait-for-networks.patch * old: dracut-warpclock_module.patch new: 0020-00warpclock-Set-correct-timezone.patch * old: s390-dcssblk.patch new: 0021-95dcssblk-Add-new-module-for-DCSS-block-devices.patch * old: dracut-install-persistent-rule.patch new: 0022-95udev-rules-add-persistent-network-rule.patch * old: dracut-really-always-add-autofs4.patch new: 0023-systemd-always-tries-to-load-autofs4.patch * old: mdraid-setup.patch new: 0024-Fixup-mdraid-setup.patch * old: 0015-95udev-rules-Add-59-scsi-sg_utils.rules.patch OBS-URL: https://build.opensuse.org/request/show/236221 OBS-URL: https://build.opensuse.org/package/show/Base:System/dracut?expand=0&rev=156
81 lines
2.3 KiB
Diff
81 lines
2.3 KiB
Diff
From 2e833b82a848b91b3fe186112e47dd288e39fbc0 Mon Sep 17 00:00:00 2001
|
|
From: Hannes Reinecke <hare@suse.de>
|
|
Date: Tue, 13 May 2014 09:05:38 +0200
|
|
Subject: 95fcoe: Store current configuration in dracut cmdline
|
|
|
|
When running with --hostonly-cmdline we should be storing
|
|
the current configuration in /etc/cmdline.d so that dracut
|
|
will be configure the system automatically.
|
|
|
|
References: bnc#877288
|
|
|
|
Signed-off-by: Hannes Reinecke <hare@suse.de>
|
|
---
|
|
modules.d/95fcoe/module-setup.sh | 43 ++++++++++++++++++++++++++++++++++++++++
|
|
1 file changed, 43 insertions(+)
|
|
|
|
diff --git a/modules.d/95fcoe/module-setup.sh b/modules.d/95fcoe/module-setup.sh
|
|
index 9a52c00..ef4a38f 100755
|
|
--- a/modules.d/95fcoe/module-setup.sh
|
|
+++ b/modules.d/95fcoe/module-setup.sh
|
|
@@ -2,6 +2,45 @@
|
|
# -*- mode: shell-script; indent-tabs-mode: nil; sh-basic-offset: 4; -*-
|
|
# ex: ts=8 sw=4 sts=4 et filetype=sh
|
|
|
|
+get_vlan_parent() {
|
|
+ local link=$1
|
|
+
|
|
+ [ -d $link ] || return
|
|
+ read iflink < $link/iflink
|
|
+ for if in /sys/class/net/* ; do
|
|
+ read idx < $if/ifindex
|
|
+ if [ $idx -eq $iflink ] ; then
|
|
+ echo ${if##*/}
|
|
+ fi
|
|
+ done
|
|
+}
|
|
+
|
|
+# called by dracut
|
|
+cmdline() {
|
|
+
|
|
+ for c in /sys/bus/fcoe/devices/ctlr_* ; do
|
|
+ [ -L $c ] || continue
|
|
+ read enabled < $c/enabled
|
|
+ [ $enabled -eq 0 ] && continue
|
|
+ d=$(cd -P $c; echo $PWD)
|
|
+ i=${d%/*}
|
|
+ read mac < ${i}/address
|
|
+ s=$(dcbtool gc ${i##*/} dcb | sed -n 's/^DCB State:\t*\(.*\)/\1/p')
|
|
+ if [ -z "$s" ] ; then
|
|
+ p=$(get_vlan_parent ${i})
|
|
+ if [ "$p" ] ; then
|
|
+ s=$(dcbtool gc ${p} dcb | sed -n 's/^DCB State:\t*\(.*\)/\1/p')
|
|
+ fi
|
|
+ fi
|
|
+ if [ "$s" = "on" ] ; then
|
|
+ dcb="dcb"
|
|
+ else
|
|
+ dcb="nodcb"
|
|
+ fi
|
|
+ echo "fcoe=${mac}:${dcb}"
|
|
+ done
|
|
+}
|
|
+
|
|
# called by dracut
|
|
check() {
|
|
require_binaries dcbtool fipvlan lldpad ip readlink || return 1
|
|
@@ -25,6 +64,10 @@ install() {
|
|
|
|
mkdir -m 0755 -p "$initdir/var/lib/lldpad"
|
|
|
|
+ if [[ $hostonly_cmdline == "yes" ]] ; then
|
|
+ cmdline >> "${initdir}/etc/cmdline.d/95fcoe.conf"
|
|
+ echo >> "${initdir}/etc/cmdline.d/95fcoe.conf"
|
|
+ fi
|
|
inst "$moddir/fcoe-up.sh" "/sbin/fcoe-up"
|
|
inst "$moddir/fcoe-edd.sh" "/sbin/fcoe-edd"
|
|
inst "$moddir/fcoe-genrules.sh" "/sbin/fcoe-genrules.sh"
|
|
--
|
|
1.8.5.2
|
|
|